#
# spec file for package termcap (Version 2.0.8)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  tetex

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         termcap
Release:      15
Copyright:    1985, 1987, 1993 Free Software Foundation, Inc.
Group: 
Provides:     
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      2.0.8
Summary:      The libtermcap
Source: termcap-2.0.8.tar.gz
Source1: curses-1.0.0.tar.gz
Patch: termcap-2.0.8.dif
%description
The libtermcap
Group:

Authors:
--------
    H.J. Lu <hjl@gnu.ai.mit.edu>
    David J. MacKenzie <djm@gnu.ai.mit.edu>

%prep
%setup 
%patch
%build
make -f Makefile.Linux compile
%install
make -f Makefile.Linux install
mkdir curses
cd curses
tar xzfp $RPM_SOURCE_DIR/curses-1.0.0.tar.gz
install -d /usr/include/curses
install -d /usr/lib/curses
install lib/libcurses.so.1.0.0 /usr/lib/libcurses.so.1.0.0
install usr/include/curses.h /usr/include/curses/curses.h.orig
install usr/lib/libcurses.a /usr/lib/curses/libcurses.a
( cd /usr/lib; ln -sf libcurses.so.1.0.0 libcurses.so.1 )
( cd /usr/lib/curses; ln -sf ../libcurses.so.1.0.0 libcurses.so )
( cd /usr/include/curses; cat curses.h.orig | sed -e "s/termcap\.h/termcap\/termcap\.h/" > curses.h )
Check
%files
%dir /usr/include/curses
%dir /usr/include/termcap
%dir /usr/lib/curses
%dir /usr/lib/termcap
/usr/include/curses/curses.h
/usr/include/curses/curses.h.orig
/usr/include/termcap/termcap.h
/usr/lib/curses/libcurses.a
/usr/lib/curses/libcurses.so
/usr/lib/libcurses.so.1
/usr/lib/libcurses.so.1.0.0
/usr/lib/libtermcap.so.2
/usr/lib/libtermcap.so.2.0.8
/usr/lib/termcap/libtermcap.a
/usr/lib/termcap/libtermcap.so

